<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [upgradeRam](./bitburner.hacknet.upgraderam.md)

## Hacknet.upgradeRam() method

Upgrade the RAM of a hacknet node.

**Signature:**

```typescript
upgradeRam(index: number, n?: number): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

index


</td><td>

number


</td><td>

Index/Identifier of Hacknet Node.


</td></tr>
<tr><td>

n


</td><td>

number


</td><td>

_(Optional)_ Number of times to upgrade RAM. Must be positive. Will be rounded to the nearest integer. Defaults to 1 if not specified.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the Hacknet Node’s RAM is successfully upgraded, false otherwise.

## Remarks

RAM cost: 0 GB

Tries to upgrade the specified Hacknet Node’s RAM n times. Note that each upgrade doubles the Node’s RAM. So this is equivalent to multiplying the Node’s RAM by 2 n.

Returns true if the Hacknet Node’s RAM is successfully upgraded n times or if it is upgraded some positive number of times and the Node reaches its max RAM.

Returns false otherwise.

